Installer gnuplot 4.6 sur Ubuntu 12.04

gnuplot
La version de gnuplot dans les packages ubuntu 12.04 et une version 4.4. Depuis que le package ttf-liberation a été renomé en fonts-liberation, gnuplot ne parvient plus à trouver la police liberation. Ce problème étant corrigé dans la version 4.6 de gnuplot, voici comment installer la dernière version.

Avant de commencer voici ce qui se produit avec gnuplot 4.4
$ gnuplot --version
gnuplot 4.4 patchlevel 3
$ gnuplot
gnuplot> set terminal jpeg size 500,500
Terminal type set to 'jpeg'
Could not find/open font when opening font "/usr/share/fonts/truetype/ttf-liberation/LiberationSans-Regular.ttf", using internal non-scalable font
Options are 'nocrop medium size 500,500 '
L’installation de gnuplot 4.6 sur Ubuntu 12.04 est possible en ajoutant le ppa gladky-anton/precise-backports
# enlever la version installé
$ sudo apt-get remove gnuplot gnuplot-nox gnuplot-x11 
# ajouter le ppa
$ sudo apt-get install python-software-properties
$ sudo add-apt-repository ppa:gladky-anton/precise-backports
$ sudo apt-get update
# installer gnuplot
$ sudo apt-get install gnuplot
# vérifier la version installée
$ gnuplot --version
gnuplot 4.6 patchlevel 4
L’utilisation de la police liberation ne pose maintenant plus de problème
$ gnuplot
gnuplot> set terminal jpeg size 500,500
Terminal type set to 'jpeg'
Options are 'nocrop font "/usr/share/fonts/truetype/liberation/LiberationSans-Regular

About the Author: Guillaume Luchet

Guillaume Luchet est Directeur de la R&D et Lead Développeur chez Bilendi Technology, entrepreneur et développeur freelance.